stack = "{{ cloudstack.stack.name }}"
resource_group = "{{ cloudstack.plugins.azure_aks.config.resourcegroup | default(cloudstack.stack.name+"-rg", true) }}"
client_id = "{{ cloudstack.plugins.azure_aks.config.serviceprincipal.client.id }}"
client_secret = "{{ cloudstack.plugins.azure_aks.config.serviceprincipal.client.secret }}"
tenant_id = "{{ cloudstack.plugins.azure_aks.config.serviceprincipal.tenant.id }}"
subscription_id = "{{ cloudstack.plugins.azure_aks.config.serviceprincipal.subscription.id }}"
node_count = "{{ cloudstack.plugins.azure_aks.config.node.count }}"
node_type = "{{ cloudstack.plugins.azure_aks.config.node.type }}"
location = "{{ cloudstack.plugins.azure_aks.config.node.location }}"
kubeconfig_file = "{{ context }}/kubeconfig.yml"
custom_tags = "{{ cloudstack.plugins.azure_aks.config.tags }}"